%define upstream_name    indirect
%define upstream_version 0.26

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A slimmer Test::More for when you favor performance over completeness
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel

%description
When enabled, this pragma warns about indirect method calls that are
present in your code.

The indirect syntax is now considered harmful, since its parsing has many
quirks and its use is error prone : when the subroutine 'foo' has not been
declared in the current package, 'foo $x' actually compiles to '$x->foo',
and 'foo { key => 1 }' to ''key'->foo(1)'. In the
http://www.shadowcat.co.uk/blog/matt-s-trout/indirect-but-still-fatal
manpage, Matt S. Trout gives an example of an undesirable indirect method
call on a block that can cause a particularly bewildering error.

This pragma currently does not warn for core functions ('print', 'say',
'exec' or 'system'). This may change in the future, or may be added as
optional features that would be enabled by passing options to 'unimport'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.json README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.260.0-2.mga3
+ Revision: 375448
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 05 2012 shlomif <shlomif> 0.260.0-1.mga3
+ Revision: 278656
- imported package perl-indirect

